package test;

import java.io.FileOutputStream;
import java.io.IOException;

import org.apache.poi.xslf.usermodel.XMLSlideShow;
import org.apache.poi.xslf.usermodel.XSLFPictureShape;
import org.apache.poi.xslf.usermodel.XSLFShape;
import org.apache.poi.xslf.usermodel.XSLFSlide;

public class App2 {

	public static void main(String[] args) throws IOException {
		try (XMLSlideShow ppt = new XMLSlideShow(App2.class.getResourceAsStream("image.pptx"))) {
			for (XSLFSlide slide : ppt.getSlides()) {
				XSLFPictureShape shapeToDelete = null;
				for (XSLFShape shape : slide.getShapes()) {
					if (shape instanceof XSLFPictureShape) {
						shapeToDelete = (XSLFPictureShape) shape;
					}
				}
				if(shapeToDelete != null) {
					slide.removeShape(shapeToDelete);
				}
			}

			try (FileOutputStream out = new FileOutputStream("result.pptx")) {
				ppt.write(out);
			}
		}
	}

}
